Subject: Re: [GSoC PATCH v6] add -p: show user's hunk decision when selecting hunks

From: Ben Knoble <[email-masked]>
Date: Tue, 6 Jan 2026 14:01:31 -0500

> Le 6 janv. 2026 à 11:13, Phillip Wood <[email-masked]> a écrit :
> 
> Hi Abraham
> 
>> On 06/01/2026 12:01, Abraham Samuel Adekunle wrote:
>> When a user is interactively deciding which hunks to use or skip for
>> staging, unstaging, stashing etc, there is no way to know the
>> decision previously chosen for a hunk when navigating through the
>> previous and next hunks using K/J respectively.
>> Improve the UI to explicitly show if a user has previously decided to
>> use a hunk (by pressing 'y') or skip the hunk (by pressing 'n').
>> This will improve clarity and aid the navigation process for the
>> user.
> 
> I like the idea of telling the user if the hunk is currently selected but say "(previous decision: use)" makes the prompt rather long (some of the prompts in the tests below are 80 characters long). I wonder if we can find a more compact notation. "(currently selected)" is a bit shorter and takes us under 80 characters but is still longer than I'd like - maybe someone reading this will have a better suggestion.

I haven’t looked carefully, so apologies if this is nonsense.

What if the marker of current state were on a separate line before the prompt? That would allow more room, right?